Anonymous Login
2019-09-22 20:04 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000446Pending RequestsDepartmentspublic2014-08-16 18:56
ReporterRaz 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000446: Department picker - inconsistent behavior
DescriptionWhen I start a new project the default company is my company, and consequently I see the department list in my company. That list remains constant even when I change the selected company to reflect a company we're doing a project for. So far so good and everything makes sense.
The confusion starts when I try to edit an existing project. It seems the department selection box is populated by the department list of the recently selected company, which is now different from my own. In my case, for the most part, that list is empty and I get a blank box.

This brings me to a related matter I don't quite understand. Instead of the nice "Select department..." button, I always get a list box, which if you set up a large number of departments can get quite big. Alternatively if you have not defined any department all you see is a blank box. I'm not a programmer so forgive me if I'm wrong, but it seems the condition will never reach the part where the button is generated if you added departments to your company.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-25 01:13 Raz New Issue
2010-05-25 12:17 caseydk Project v1.3 Release (Closed) => v2.0 Release (Closed)
2010-05-28 07:07 caseydk Project v2.0 Release (Closed) => Pending Requests
2014-08-16 18:56 caseydk Category General => Departments
2014-08-16 18:56 caseydk Product Version 1.3 =>
+Issue History